grk::GrkImageMeta Class Reference

`#include <GrkImage.h>`

Inheritance diagram for grk::GrkImageMeta:

## Public Member Functions

| GrkImageMeta ()
virtual | ~GrkImageMeta ()
void | releaseColor (void)
void | releaseColorPalatte ()
void | allocPalette (uint8_t num_channels, uint16_t num_entries)

## Additional Inherited Members

Public Attributes inherited from _grk_image_meta
grk_object | obj
grk_color | color
uint8_t * | iptc_buf
size_t | iptc_len
uint8_t * | xmp_buf
size_t | xmp_len

## Constructor & Destructor Documentation

## GrkImageMeta()

grk::GrkImageMeta::GrkImageMeta | ( |  | ) |

References _grk_image_meta::color, grk::grk_read(), _grk_image_meta::iptc_buf, _grk_image_meta::iptc_len, _grk_image_meta::obj, _grk_object::wrapper, _grk_image_meta::xmp_buf, and _grk_image_meta::xmp_len.

## ~GrkImageMeta()

grk::GrkImageMeta::~GrkImageMeta | ( |  | ) |

virtual

References _grk_image_meta::iptc_buf, releaseColor(), and _grk_image_meta::xmp_buf.

## Member Function Documentation

## allocPalette()

void grk::GrkImageMeta::allocPalette | ( | uint8_t | num_channels,
|  | uint16_t | num_entries
| ) |  |

References _grk_image_meta::color, grk::grk_read(), _grk_color::palette, and releaseColorPalatte().

## releaseColor()

void grk::GrkImageMeta::releaseColor | ( | void |  | ) |

References _grk_color::channel_definition, _grk_image_meta::color, _grk_channel_definition::descriptions, _grk_color::icc_profile_buf, _grk_color::icc_profile_len, _grk_color::icc_profile_name, and releaseColorPalatte().

Referenced by ~GrkImageMeta().

## releaseColorPalatte()

void grk::GrkImageMeta::releaseColorPalatte | ( |  | ) |

References _grk_palette_data::channel_prec, _grk_palette_data::channel_sign, _grk_image_meta::color, _grk_palette_data::component_mapping, _grk_palette_data::lut, and _grk_color::palette.

Referenced by allocPalette(), and releaseColor().

The documentation for this class was generated from the following files:

- GrkImage.h
- GrkImage.cpp